cpprest (2.10.3-1) unstable; urgency=medium

  * New upstream version 2.10.3
  * Drop patch 787, boost-fix: upstream.
  * Refresh cmake-install patch
  * Drop sourcedirectory, now it has a cmake file in the root directory
  * Bump std-version to 4.2.0.1, no changes required

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 06 Aug 2018 09:55:26 +0200

cpprest (2.10.2-8) unstable; urgency=medium

  * cherry-pick upstream proposed patches:
    - Fix build with gcc-8 (Closes: #897730)
    - Fix build with boost 1.63

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 23 Jul 2018 13:07:42 +0200

cpprest (2.10.2-7) unstable; urgency=medium

  * debian/patches/{747,732}.patch: upstream fixes for clang related issues.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 25 May 2018 08:36:12 +0200

cpprest (2.10.2-6) unstable; urgency=medium

  * Install the cmake files into multiarch location
    (LP: #1765890)
  * Fixup VCS fields
  * Bump std-version to 4.1.4, no changes required.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 23 Apr 2018 11:14:50 +0200

cpprest (2.10.2-5) unstable; urgency=medium

  * Add forwarded header
  * Use pkg-info.mk to grab upstream versioning
    (thanks Chris Lamb for the hint!)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 19 Apr 2018 19:13:04 +0200

cpprest (2.10.2-4) unstable; urgency=medium

  * Create a upstreamable patch to install cmake files into
    the correct location.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 19 Apr 2018 16:12:00 +0200

cpprest (2.10.2-3) unstable; urgency=medium

  * Also install cmake files into /usr/lib/cmake

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 18 Apr 2018 00:20:02 +0200

cpprest (2.10.2-2) unstable; urgency=medium

  * Rename package to cpprest.
    - this follows the upstream renaming of years ago.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 Apr 2018 11:41:09 +0200

casablanca (2.10.2-1) unstable; urgency=medium

  * New upstream version 2.10.2, patch refresh
  * Bump std-version to 4.1.3, no changes required

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 10 Feb 2018 15:32:01 +0100

casablanca (2.10.1-1) unstable; urgency=medium

  * New upstream version 2.10.1
  * Bump std-version to 4.1.2, no changes required
  * Update website homepage location

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 23 Dec 2017 09:11:14 +0100

casablanca (2.10.0-1) unstable; urgency=medium

  * Upload to unstable.
  * Disable failing floating point test.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Oct 2017 14:36:54 +0200

casablanca (2.10.0-1~exp1) experimental; urgency=medium

  * Upload to experimental
  * New upstream version 2.10.0
  * Drop upstreamed 285 patch, patch refresh
  * Make copyright in https mode, update copyright years
  * Drop websocketpp version constraint
  * Bump std-version to 4.1.1, no changes required
  * Bump soname
  * Drop old pre-depends keyword
  * Add zlib to build-dependencies: this enables http compression

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 26 Oct 2017 09:30:46 +0200

casablanca (2.9.1-1) unstable; urgency=medium

  * New upstream minor release, fixing the license on
    header files.
  * Patch refresh

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 04 Nov 2016 08:30:20 +0100

casablanca (2.9.0-4) unstable; urgency=medium

  [ Kurt Roeckx ]
  * debian/patches/285.patch:
    - conditionalize the openssl version to avoid
      deprecated calls.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 03 Nov 2016 21:16:21 +0100

casablanca (2.9.0-3) unstable; urgency=medium

  * Use an additional flag to permit openssl1.1 deprecated
    functions, waiting for an upstream fix.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 02 Nov 2016 20:23:20 +0100

casablanca (2.9.0-2) unstable; urgency=medium

  * Copyright seems to be MIT, even if every file is under Apache-2
    updating d/copyright to reflect that

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 25 Oct 2016 11:41:35 +0200

casablanca (2.9.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump compat level to 10
  * Bump SONAME

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 24 Oct 2016 19:32:12 +0200

casablanca (2.8.0-2) unstable; urgency=medium

  * Bump soname.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 17 Mar 2016 07:46:32 +0100

casablanca (2.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Add libboost-atomic-dev b-d.
  * Update copyright.
  * Exclude another outside test.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 16 Mar 2016 14:47:31 +0100

casablanca (2.7.0-9) unstable; urgency=medium

  * Fix missing "," preventing shlibs to be used.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 23 Feb 2016 09:53:45 +0100

casablanca (2.7.0-8) unstable; urgency=medium

  * std-version is 3.9.7, no changes.
  * bump watch file to 4.
  * disable an sni test, requiring an internet connection.
  * Fix VCS fields.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 22 Feb 2016 15:57:20 +0100

casablanca (2.7.0-7) unstable; urgency=medium

  * Add some more runtime dependencies.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 22 Feb 2016 13:32:03 +0100

casablanca (2.7.0-6) unstable; urgency=medium

  * Force libssl-dev as runtime dependency, needed to compile casablanca code.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 22 Feb 2016 13:00:26 +0100

casablanca (2.7.0-5) unstable; urgency=medium

  * Fix license typo, thanks a lot Olaf Meeuwissen for the
    useful bug report! (Closes: #807619)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 15 Dec 2015 15:37:50 +0100

casablanca (2.7.0-4) unstable; urgency=medium

  * Disable some more tests, requiring local ports
    not always available on buildd machines
  * Update homepage field

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Nov 2015 10:49:57 +0100

casablanca (2.7.0-3) unstable; urgency=medium

  * Disable tests were timeouts are encountered, some archs
    are too slow for them.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 26 Nov 2015 15:28:20 +0100

casablanca (2.7.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 26 Nov 2015 12:32:07 +0100

casablanca (2.7.0-1) experimental; urgency=medium

  * New upstream release, bump SONAME.
  * Drop all patches merged upstream.
  * Set priority optional.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 25 Nov 2015 09:40:05 +0100

casablanca (2.6.0-7) unstable; urgency=medium

  * Fix arch:all build

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 19 Oct 2015 18:48:07 +0200

casablanca (2.6.0-6) unstable; urgency=medium

  * Add finally a watch file, thanks to the move to github
    - Drop README.source

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Oct 2015 15:12:24 +0200

casablanca (2.6.0-5) unstable; urgency=medium

  * Rebuild against websocketpp 0.6.0-1

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 07 Aug 2015 09:50:37 +0200

casablanca (2.6.0-4) unstable; urgency=medium

  * d/p/disable-outside-tests.patch:
    - Disable some more tests because they require an active internet
      connection.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 04 Aug 2015 15:15:27 +0200

casablanca (2.6.0-3) unstable; urgency=medium

  * Upload to unstable.
    - drop force of gcc-5, now it is the default there.
  * Update my uid.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 31 Jul 2015 13:08:42 +0200

casablanca (2.6.0-2) experimental; urgency=medium

  * enable patches accepted upstream:
    - d/p/fix-build-failures.patch
    - d/p/fix-cdecl.patch
    - d/p/remove-double-includes.patch
  * add patch to fix an arm64 build failure:
    - d/p/fix-failure.patch
  * enable patch to address a kfreebsd-i386 build failure:
    - d/p/kfreebsd-i386-fix.patch

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Thu, 04 Jun 2015 20:43:00 +0200

casablanca (2.6.0-1) experimental; urgency=low

  * New upstream release bump SONAME to 2.6, patch refresh.
  * Add some commented patches:
    - d/p/fix-build-failures.patch: tweak to remove also ch variable
    - d/p/fix-cdecl.patch: fix cdecl and __cdecl usage, this
      should hopefully fix many build failures.
    - d/p/remove-double-includes.patch: remove some double inclusions
      in cmake files (cosmetic patch).
    - d/p/kfreebsd-i386-fix.patch: hopefully fix the kfreebsd-i386 build issue.
      unfortunately I do not have any kfreebsd-i386 2.5 build log, so I'll
      enable and submit it upstream for review if the build still fails there.
  * d/p/disable-outside-tests.patch: re-enable some tests not failing anymore.
  * d/p/use-system-websocketpp.patch: find websocketpp with cmake modules,
    rather than just including it, to easy upstream patch forwarding.
  * Remove d/p/do-not-write-timestamps-in-documentation: upstream
  * d/control: remove locales-all, locales-pack-fr-base and libboost-locale-dev,
    code removed upstream.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Tue, 02 Jun 2015 18:34:53 +0200

casablanca (2.5.0-2) experimental; urgency=medium

  [ Edmund Grimley Evans ]
  * d/p/fix-build-failures.patch
    - try to fix the various build failures on #769969

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Mon, 01 Jun 2015 12:19:22 +0200

casablanca (2.5.0-1) experimental; urgency=medium

  [ Mattia Rizzolo ]
  * Add a patch to have Doxygen not write timestamps in the generated
    documentation to allow package builds to be reproducible.

  [ Gianfranco Costamagna ]
  * Use g++-5 to build, because of bug #784655.
  * New upstream release, bump SONAME to 2.5.
  * Patch refresh.
  * Add locales-all (Debian) | language-pack-fr-base (Ubuntu)
    to correctly pick up locale files (fix testuite failures)
    ref: https://casablanca.codeplex.com/workitem/354
  * Update disable-outside-tests.patch with another test requiring
    internet connection.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Wed, 06 May 2015 14:46:43 +0200

casablanca (2.4.0-2) unstable; urgency=medium

  * Make the package Multi-Arch: same

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Wed, 11 Mar 2015 20:29:04 +0100

casablanca (2.4.0-1) unstable; urgency=medium

  * New upstream release, bump SONAME to 2.4.
    - remove patch fix-ftbfs, addressed upstream.
    - refresh disable-outside-tests and disable ssl_test, requiring
      internet connection.
    - Update copyright file.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sat, 03 Jan 2015 13:52:06 +0100

casablanca (2.2.0-1) unstable; urgency=low

  * Initial release. (Closes: #722275)

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Mon, 03 Nov 2014 14:33:57 +0100
